<?php
return [
    'backend' => [
        'frontName' => 'admin'
    ],
    'crypt' => [
        'key' => '171eea550b2615418941f2f611d0dee3'
    ],

    'db' => [
        'table_prefix' => 'md_',
        'connection' => [
            'default' => [
                'host' => 'localhost',
                'dbname' => 'demotest_db',
                'username' => 'demotest_db',
                'password' => 'fo9S1hTjih',
                'active' => '1'
            ]
        ]
    ],
    'resource' => [
        'default_setup' => [
            'connection' => 'default'
        ]
    ],
    'x-frame-options' => 'SAMEORIGIN',
    'MAGE_MODE' => 'production',
//START
    'session' => [
        'save' => 'redis',
        'redis' => [
            'host' => '/var/run/redis-persistent/redis.sock',
            'port' => '0',
            'password' => '',
            'timeout' => '3',
            'persistent_identifier' => '',
            'database' => '1',
            'compression_threshold' => '0',
            'compression_library' => 'gzip',
            'log_level' => '2',
            'max_concurrency' => '50',
            'break_after_frontend' => '5',
            'break_after_adminhtml' => '30',
            'first_lifetime' => '600',
            'bot_first_lifetime' => '60',
            'bot_lifetime' => '7200',
            'disable_locking' => '0',
            'min_lifetime' => '60',
            'max_lifetime' => '2592000'
         ]
    ],
    'cache' =>[
        'frontend' => [
           'default' => [
                'backend' => 'Cm_Cache_Backend_Redis',
                'backend_options' => [
                    'server' => '/var/run/redis/redis.sock',
                    'port' => '0',
                    'persistent' => 'db2',
                    'database' => '2',
                    'password' => '',
                    'force_standalone' => '0',
                    'connect_retries' => '2',
                    'read_timeout' => '3',
                    'automatic_cleaning_factor' => '0',
                    'compress_data' => '0',
                    'compress_tags' => '0',
                    'compress_threshold' => '20480',
                    'compression_lib' => 'gzip',
                ]
            ],
            'page_cache' => [
                'backend' => 'Cm_Cache_Backend_Redis',
                'backend_options' => [
                    'server' => '/var/run/redis/redis.sock',
                    'port' => '0',
                    'persistent' => 'db3',
                    'database' => '3',
                    'password' => '',
                    'force_standalone' => '0',
                    'connect_retries' => '2',
                    'read_timeout' => '3',
                    'automatic_cleaning_factor' => '0',
                    'compress_data' => '0',
                    'compress_tags' => '0',
                    'compress_threshold' => '20480',
                    'compression_lib' => 'gzip',
                ]
            ]
        ]
    ],
//END
    'cache_types' => [
        'config' => 1,
        'layout' => 1,
        'block_html' => 1,
        'collections' => 1,
        'reflection' => 1,
        'db_ddl' => 1,
        'eav' => 1,
        'customer_notification' => 1,
        'config_integration' => 1,
        'config_integration_api' => 1,
        'full_page' => 1,
        'config_webservice' => 1,
        'translate' => 1,
        'compiled_config' => 1
    ],
    'install' => [
        'date' => 'Thu, 27 Sep 2018 18:41:40 +0000'
    ]
];
